%define version 0.10.31
%define release %mkrel 2
%define   _glib2   2.2
%define major 0.10
%define majorminor 0.10
%define bname gstreamer0.10
%define name %bname-plugins-good
%define gst_required_version 0.10.28

Summary: 	GStreamer Streaming-media framework plug-ins
Name: 		%name
Version: 	%version
Release: 	%release
License: 	LGPLv2+
Group: 	Sound
Source: 	http://gstreamer.freedesktop.org/src/gst-plugins-good/gst-plugins-good-%{version}.tar.xz
Patch1:	gst-plugins-good-0.10.31-libv4l-0.8.9.patch
Patch2:	gst-plugins-good-0.10.31-automake-1.13.patch
Patch3:	gst-plugins-v4l2-0.10.31-linux-headers-3.9.patch
URL:         http://gstreamer.freedesktop.org/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root 
#----------------------------------------------------------------------------
BuildRequires: nasm
BuildRequires: GConf2-devel
BuildRequires: %{_lib}aa-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}audiofile-devel
BuildRequires: %{_lib}avc1394-devel
BuildRequires: %{_lib}bzip2-devel
BuildRequires: %{_lib}caca-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dv-devel
BuildRequires: %{_lib}esound-devel
BuildRequires: %{_lib}flac8-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gstreamer-plugins-base0.10-devel
BuildRequires: %{_lib}gstreamer0.10_0.10-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}hal-devel
BuildRequires: %{_lib}iec61883_0-devel
BuildRequires: %{_lib}jack-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}orc-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}pulseaudio-devel
BuildRequires: %{_lib}raw1394-devel
BuildRequires: %{_lib}shout-devel
BuildRequires: %{_lib}soup-devel
BuildRequires: %{_lib}speex1-devel
BuildRequires: %{_lib}taglib-devel
BuildRequires: %{_lib}v4l-devel
BuildRequires: %{_lib}wavpack-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xdamage-devel
BuildRequires: %{_lib}xext-devel
BuildRequires: %{_lib}xfixes-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: %{_lib}xv-devel
#----------------------------------------------------------------------------

Provides:	%bname-audiosrc
Provides:	%bname-audiosink

Obsoletes: %bname-aalib
Obsoletes: %bname-caca
Obsoletes: %bname-dv 
Obsoletes: %bname-esound 
Obsoletes: %bname-flac 
Obsoletes: %bname-jack
Obsoletes: %bname-pulse
Obsoletes: %bname-raw1394
Obsoletes: %bname-soup 
Obsoletes: %bname-speex 
Obsoletes: %bname-wavpack 

Provides: %bname-aalib = %version-%release
Provides: %bname-caca = %version-%release
Provides: %bname-dv = %version-%release
Provides: %bname-esound = %version-%release
Provides: %bname-flac = %version-%release
Provides: %bname-jack = %version-%release
Provides: %bname-pulse = %version-%release
Provides: %bname-raw1394 = %version-%release
Provides: %bname-soup = %version-%release
Provides: %bname-speex = %version-%release
Provides: %bname-wavpack = %version-%release

Obsoletes:  	%name < %version
Requires:	glibc >= 2.20

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of plug-ins that are considered to have
good quality code, correct functionality, the preferred license (LGPL
for the plug-in code, LGPL or LGPL-compatible for the supporting
library). People writing elements should base their code on these
elements.

%prep
%setup -q -n gst-plugins-good-%{version}
%patch1 -p1 -b .v4l-0_8_9
%patch2 -p1 -b .automake-1_13
%patch3 -p0 -b .kernel


%build
%configure2_5x --disable-dependency-tracking --enable-experimental  --enable-introspection=no \

%make

%install
rm -rf %buildroot gst-plugins-base-%majorminor.lang
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std GETTEXT_PACKAGE=gst-plugins-good-%majorminor
%find_lang gst-plugins-good-%majorminor

# Clean out files that should not be part of the rpm.
# This is the recommended way of dealing with it for RH8
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


rm -rf $RPM_BUILD_ROOT%{_docdir}/docs/plugins/html

%clean
rm -rf $RPM_BUILD_ROOT

%define schemas gstreamer-0.10

%post
%post_install_gconf_schemas %{schemas}

%preun
%preun_uninstall_gconf_schemas %{schemas}

%files -f gst-plugins-good-%majorminor.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README NEWS
%_sysconfdir/gconf/schemas/gstreamer-%majorminor.schemas
%{_libdir}/gstreamer-%majorminor/libgstalaw.so
%{_libdir}/gstreamer-%majorminor/libgstannodex.so
%{_libdir}/gstreamer-%majorminor/libgstalpha.so
%{_libdir}/gstreamer-%majorminor/libgstalphacolor.so
%{_libdir}/gstreamer-%majorminor/libgstapetag.so
%{_libdir}/gstreamer-%majorminor/libgstaudiofx.so
%{_libdir}/gstreamer-%majorminor/libgstauparse.so
%{_libdir}/gstreamer-%majorminor/libgstautodetect.so
%{_libdir}/gstreamer-%majorminor/libgstavi.so
%{_libdir}/gstreamer-%majorminor/libgstcairo.so
%{_libdir}/gstreamer-%majorminor/libgstcutter.so
%{_libdir}/gstreamer-%majorminor/libgstdebug.so
%{_libdir}/gstreamer-%majorminor/libgstefence.so
%{_libdir}/gstreamer-%majorminor/libgsteffectv.so
%{_libdir}/gstreamer-%majorminor/libgstequalizer.so
%{_libdir}/gstreamer-%majorminor/libgstflxdec.so
%{_libdir}/gstreamer-%majorminor/libgstgconfelements.so
%{_libdir}/gstreamer-%majorminor/libgstgdkpixbuf.so
%{_libdir}/gstreamer-%majorminor/libgstgoom.so
%{_libdir}/gstreamer-%majorminor/libgstgoom2k1.so
%{_libdir}/gstreamer-%majorminor/libgsthalelements.so
%{_libdir}/gstreamer-%majorminor/libgsticydemux.so
%{_libdir}/gstreamer-%majorminor/libgstid3demux.so
%{_libdir}/gstreamer-%majorminor/libgstinterleave.so
%{_libdir}/gstreamer-%majorminor/libgstjpeg.so
%{_libdir}/gstreamer-%majorminor/libgstlevel.so
%{_libdir}/gstreamer-%majorminor/libgstmatroska.so
%{_libdir}/gstreamer-%majorminor/libgstmonoscope.so
%{_libdir}/gstreamer-%majorminor/libgstmulaw.so
%{_libdir}/gstreamer-%majorminor/libgstmultifile.so
%{_libdir}/gstreamer-%majorminor/libgstmultipart.so
%{_libdir}/gstreamer-%majorminor/libgstnavigationtest.so
%{_libdir}/gstreamer-%majorminor/libgstossaudio.so
%{_libdir}/gstreamer-%majorminor/libgstpng.so
%{_libdir}/gstreamer-%majorminor/libgstreplaygain.so
%{_libdir}/gstreamer-%majorminor/libgstrtp.so
%{_libdir}/gstreamer-%majorminor/libgstrtsp.so
%{_libdir}/gstreamer-%majorminor/libgstshout2.so
%{_libdir}/gstreamer-%majorminor/libgstsmpte.so
%{_libdir}/gstreamer-%majorminor/libgstspectrum.so
%{_libdir}/gstreamer-%majorminor/libgsttaglib.so
%{_libdir}/gstreamer-%majorminor/libgstudp.so
%{_libdir}/gstreamer-%majorminor/libgstvideo4linux2.so
%{_libdir}/gstreamer-%majorminor/libgstimagefreeze.so
%{_libdir}/gstreamer-%majorminor/libgstoss4audio.so
%{_libdir}/gstreamer-%majorminor/libgstvideofilter.so
%{_libdir}/gstreamer-%majorminor/libgstvideobox.so
%{_libdir}/gstreamer-%majorminor/libgstvideocrop.so
%{_libdir}/gstreamer-%majorminor/libgstshapewipe.so
%{_libdir}/gstreamer-%majorminor/libgstvideomixer.so
%{_libdir}/gstreamer-%majorminor/libgstwavenc.so
%{_libdir}/gstreamer-%majorminor/libgstwavparse.so
%{_libdir}/gstreamer-%majorminor/libgstximagesrc.so
%dir %_datadir/gstreamer-%majorminor/
%dir %_datadir/gstreamer-%majorminor/presets
%_datadir/gstreamer-%majorminor/presets/*
%{_libdir}/gstreamer-%majorminor/libgstdeinterlace.so
%{_libdir}/gstreamer-%majorminor/libgstflv.so
%{_libdir}/gstreamer-%majorminor/libgstrtpmanager.so
%{_libdir}/gstreamer-%majorminor/libgsty4menc.so
%{_libdir}/gstreamer-%majorminor/libgstaudioparsers.so
%{_libdir}/gstreamer-%majorminor/libgstisomp4.so
%{_libdir}/gstreamer-%majorminor/libgstsouphttpsrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstpulse.so
%{_libdir}/gstreamer-%{majorminor}/libgstdv.so
%{_libdir}/gstreamer-%{majorminor}/libgstspeex.so
%{_libdir}/gstreamer-%{majorminor}/libgst1394.so
%{_libdir}/gstreamer-%{majorminor}/libgstflac.so
%{_libdir}/gstreamer-%{majorminor}/libgstesd.so
%{_libdir}/gstreamer-%{majorminor}/libgstaasink.so
%{_libdir}/gstreamer-%majorminor/libgstcacasink.so
%{_libdir}/gstreamer-%{majorminor}/libgstwavpack.so
%{_libdir}/gstreamer-%{majorminor}/libgstjack.so


%changelog
* Thu Feb 19 2015 bb <bb> 0.10.31-2pclos2015
- rebuild new glibc
- merge subpackages into main

* Thu Aug 08 2013 Texstar <texstar at gmail.com> 0.10.31-1pclos2013
- update

* Sun Jul 03 2011 Texstar <texstar at gmail.com> 0.10.30-1pclos2011
- 0.10.30

